/*
 * RGBPixel.h
 *
 *  Created on: 01/giu/2010
 *      Author: bertini
 */

#ifndef RGBPIXEL_H_
#define RGBPIXEL_H_

class RGBPixel {
public:
	RGBPixel(int r=0, int g=0, int b=0) : R(r), G(g), B(b) {};
    int getR() const {
        return R;
    }
    void setR(int R) {
        this->R = R;
    }
    int getG() const {
		return G;
	}
	void setG(int G) {
		this->G = G;
	}
	int getB() const {
		return B;
	}
	void setB(int B) {
		this->B = B;
	}
	bool operator!=(const RGBPixel& rhp) const {
		if( this->R!= rhp.R )
			return true;
		else if( this->G != rhp.G )
			return true;
		else if( this->B != rhp.B )
			return true;
		return false;
	}

private:
	int R, G, B;
};

#endif /* RGBPIXEL_H_ */
